| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
std::hash< dpp::snowflake > Struct Reference

`#include <snowflake.h>`

## Public Member Functions

std::size_t | operator() (dpp::snowflake s) const noexcept
| Hashing function for dpp::snowflake Used by std::unordered_map. This just calls std::hash<uint64_t>.

## Member Function Documentation

## ◆ operator()()

std::size_t std::hash< dpp::snowflake >::operator() | ( | dpp::snowflake | s | ) | const

inline noexcept

Hashing function for dpp::snowflake Used by std::unordered_map. This just calls std::hash<uint64_t>.

Parameters

  s | Snowflake value to hash

Returns
  std::size_t hash value

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0